> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 도메인에 IP 할당

> 전용 IP 도메인 할당

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ko.json POST /v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}/domains/assign
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}/domains/assign:
    post:
      tags:
        - public-accounts
        - public-dedicated-ips
      summary: 전용 IP 도메인 할당
      description: 도메인을 전용 IP에 할당합니다.
      operationId: >-
        assign_public_dedicated_ip_domains_v1_public_accounts__account_id__dedicated_ips__dedicated_ip_id__domains_assign_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: dedicated_ip_id
          required: true
          schema:
            format: uuid
            title: Dedicated Ip Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkDedicatedIpDomainRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkDedicatedIpDomainResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - PublicBearerAuth: []
components:
  schemas:
    BulkDedicatedIpDomainRequest:
      description: 대량 할당 또는 할당 해제 요청.
      properties:
        domain_ids:
          description: 할당하거나 할당 취소할 도메인 UUID 또는 도메인 이름입니다.
          items:
            anyOf:
              - format: uuid
                type: string
              - type: string
          minItems: 1
          title: 도메인 Id 목록
          type: array
      title: BulkDedicatedIpDomainRequest
      type: object
    BulkDedicatedIpDomainResponse:
      properties:
        dedicated_ip_id:
          format: uuid
          title: 전용 IP Id
          type: string
        domain_ids:
          items:
            format: uuid
            type: string
          title: 도메인 Id 목록
          type: array
      required:
        - dedicated_ip_id
        - domain_ids
      title: BulkDedicatedIpDomainResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 세부 정보
          type: array
      title: HTTP검증 오류
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 위치
          type: array
        msg:
          title: 메시지
          type: string
        type:
          title: 오류 유형
          type: string
      required:
        - loc
        - msg
        - type
      title: 검증 오류
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````